# Modern QRCode Generator

这是一个基于开源项目 [PHP QR Code](http://phpqrcode.sourceforge.net/) 重构的现代化二维码生成工具。我们对原项目进行了全面的改进和优化，同时保留了其核心功能和开源精神。

## 主要改进

- 使用 Laravel 框架重构后端，提供更好的代码组织和安全性
- 采用 Vue.js 构建响应式前端界面，提供更好的用户体验
- 增加二维码样式自定义功能
- 支持二维码 Logo 添加
- 实现二维码生成缓存机制
- 完善的API文档和单元测试

## 技术栈

- 后端：Laravel 10.x
- 前端：Vue 3 + Vite
- UI框架：Element Plus
- 二维码生成：PHP QR Code Library
- 缓存：Redis

## 快速开始

### 环境要求

- PHP >= 8.1
- Composer
- Node.js >= 16
- Redis

### 安装步骤

1. 克隆项目
```bash
git clone [项目地址]
cd modern-qrcode
```

2. 安装后端依赖
```bash
composer install
cp .env.example .env
php artisan key:generate
```

3. 安装前端依赖
```bash
cd frontend
npm install
```

4. 启动开发服务器
```bash
# 后端
php artisan serve

# 前端
cd frontend
npm run dev
```

## API文档

访问 `/api/documentation` 查看完整的API文档。

## 致谢

感谢原项目 [PHP QR Code](http://phpqrcode.sourceforge.net/) 提供的优秀代码基础，本项目在其基础上进行了现代化改造。原项目采用LGPL 3协议开源。

## 许可证

本项目采用 MIT 许可证。